## Usage

Use the `Skeleton` component to provide a visual placeholder for content that is being loaded asynchronously or has not yet been fetched from an API.

```jsx
import Skeleton from "./skeleton";

<Skeleton />;
```

```sh
import React, { useState, useEffect } from "react";
import "./skeleton.scss";

export default function Skeleton({
  caption = "Simplifying your business | Soxo",
}) {
  return (
    <div class="skeleton-card">
      <h3 class="loading-animation-text">{caption}</h3>

      <div class="skeleton"></div>

      <div class="skeleton"></div>

      <div class="skeleton"></div>

      <div class="skeleton"></div>

      <div class="skeleton"></div>
    </div>
  );
}

```
