/**
 * Skeleton Components 
 *
 */

// Base Imports
import React, { useState, useEffect } from "react";
import "./skeleton.scss";
import PropTypes from "prop-types";


export default function Skeleton({
  caption = "Simplifying your business | Soxo",
}) {
  return (
    <div className="skeleton-card">
      <h3 className="loading-animation-text">{caption}</h3>

      <div className="skeleton"></div>

      <div className="skeleton"></div>

      <div className="skeleton"></div>

      <div className="skeleton"></div>

      <div className="skeleton"></div>
    </div>
  );
}


Skeleton.propTypes = {
  /** "caption" is expected to be of type string. */
  caption: PropTypes.string,
};