## Usage

The `Title` component is a simple component that renders a heading element with some text. It accepts a `text` prop that specifies the text to be rendered in the heading. Here is how to use it.

```jsx
import Title from "./title";

<Title level={2} className="my-title">
  Hello World
</Title>;
```

```sh
import React from "react";
import "./title.scss";

export default function Title({ children, level = 4, className }) {
  return <h3 className={`${className} size-${level}`}>{children}</h3>;

```
